Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 1404429 - SCAP Security Guide's remediations conflict with Ansible playbooks
SCAP Security Guide's remediations conflict with Ansible playbooks
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: scap-security-guide (Show other bugs)
7.3
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Watson Yuuma Sato
Matus Marhefka
Mirek Jahoda
:
Depends On:
Blocks: 1469954 1477926 1490343
  Show dependency treegraph
 
Reported: 2016-12-13 15:24 EST by Martin Preisler
Modified: 2018-04-10 08:21 EDT (History)
5 users (show)

See Also:
Fixed In Version: scap-security-guide-0.1.36-2.el7
Doc Type: Enhancement
Doc Text:
*OpenSCAP* can be now integrated into Ansible workflows With this update, the *OpenSCAP* scanner can generate remediation scripts in the form of Ansible Playbooks, either based on profiles or based on scan results. Playbooks based on SCAP Security Guide Profiles contain fixes for all rules, and playbooks based on scan results contain only fixes for rules that fail during an evaluation. The user can also generate a playbook from a tailored Profile, or customize it directly by editing the values in the playbook. Tags, such as Rule ID, strategy, complexity, disruption, or references, used as metadata for tasks in playbooks serve to filter, which tasks to apply.
Story Points: ---
Clone Of:
: 1490343 (view as bug list)
Environment:
Last Closed: 2018-04-10 08:20:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0761 None None None 2018-04-10 08:21 EDT

  None (edit)
Description Martin Preisler 2016-12-13 15:24:08 EST
Description of problem:
In use-cases where ansible is used to manage configuration of machines it is difficult to start using openscap to remediate and put the machine in compliance. The bash remediations will work fine and temporarily put the machine in compliance but then ansible playbooks will be run and the machine will be set back.

The solution is to change the ansible playbooks according to results of the scan. That way we can run oscap scan, get the ARF, generate Ansible playbook snippet and then change the playbook currently in use according to the snippet.

To do that, SCAP Security Guide needs to provide Ansible remediations next to the bash remediations.

Version-Release number of selected component (if applicable):
0.1.30
0.1.31

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Martin Preisler 2017-03-02 10:36:17 EST
First part of the fix is upstream: https://github.com/OpenSCAP/scap-security-guide/pull/1731

Needs more work before all rules have ansible coverage. The work is extensive so moving to RHEL 7.5. RHEL 7.4 will most likely have this partially fixed.
Comment 7 errata-xmlrpc 2018-04-10 08:20:33 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0761

Note You need to log in before you can comment on or make changes to this bug.